include ./theme.conf

font_family FiraCode Nerd Font
scrollback_pager_history_size 1000000
scrollback_lines 1000000

hide_window_decorations yes
cursor_shape beam

allow_remote_control yes
listen_on unix:/tmp/kitty


clear_all_mouse_actions yes
mouse_map left click ungrabbed mouse_handle_click selection link
mouse_map left press ungrabbed mouse_selection normal
mouse_map left doublepress ungrabbed mouse_selection word
mouse_map left triplepress ungrabbed mouse_selection line
mouse_map ctrl+alt+left triplepress ungrabbed mouse_selection line_from_point

# map ctrl+shift+c copy_to_clipboard
# map ctrl+shift+v paste
clipboard_command xclip -selection clipboard %s

# background_opacity 0.7
